
Hammer CLI - Bug #11441

Hammer does not check whether it get correct number of resources when translating name to id

parameters

08/20/2015 05:05 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer core   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request:  Red Hat JIRA:  

Team Backlog:    

Description

When I run hammer like this

hammer -d filter create --permissions view_puppetclasses,create_puppetclasses,edit_puppetclasses,d

estroy_puppetclasses,import_puppetclasses --role demo2

 hammer searches permissions to get their ids. Since there is not scope search support it get 30 records instead of expected 5 and he

sends these permission as parameter_ids. I think we should check that we get expected number of parameters.

Related issues:

Related to Foreman - Bug #11303: Filter management with hamemr seems to be mi... Closed 08/05/2015

History

#1 - 08/20/2015 05:17 AM - Marek Hulán

- Related to Bug #11303: Filter management with hamemr seems to be missing means of associating resource type added

#2 - 11/20/2015 05:11 AM - Tomáš Strachota

- Target version set to hammer-cli 0.6.0

#3 - 03/03/2016 10:36 AM - Tomáš Strachota

- Target version changed from hammer-cli 0.6.0 to hammer-cli 0.7.0

#4 - 08/04/2017 10:00 AM - Tomáš Strachota

- Target version deleted (hammer-cli 0.7.0)

#5 - 01/15/2020 06:16 PM - Oleh Fedorenko

- Status changed from New to Closed

- Triaged changed from No to Yes

I wasn't be able to reproduce this issue. Under 'permission_ids' parameter were only 5 (as expected) ids.

Closing this one.
